Bug 447191 - Review Request: perl-Math-BigInt-GMP - Math::BigInt::GMP Perl module
Review Request: perl-Math-BigInt-GMP - Math::BigInt::GMP Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
: perl-Math-BigInt-GMP (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 13:50 EDT by Steven Pritchard
Modified: 2008-12-21 18:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:41:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2008-05-18 13:50:43 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Math-BigInt-GMP/perl-Math-BigInt-GMP.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Math-BigInt-GMP-1.24-1.src.rpm
Description:
This package contains a replacement (drop-in) module for Math::BigInt's
core, Math::BigInt::Calc.pm. It needs the new versions of Math::BigInt and
Math::BigFloat as they are from Perl 5.7.x onwards.
Comment 1 Parag AN(पराग) 2008-05-19 03:04:51 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=616785
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
de5bb548f9e8e2254565926eec1d15b2  Math-BigInt-GMP-1.24.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_compile.......
ok
t/02_basic.........
ok
t/03_regression....
ok
t/04_scalar........
ok
t/11_meta_yml......
ok
t/12_plagger.......
ok
t/13_perl_smith....
ok
t/14_yaml_org......
ok
t/15_multibyte.....
ok
t/16_nullrefs......
ok
t/17_toolbar.......
ok
t/97_meta..........
skipped
        all skipped: Author tests not required for installation
t/98_pod...........
skipped
        all skipped: Author tests not required for installation
t/99_pmv...........
skipped
        all skipped: Author tests not required for installation
All tests successful, 3 tests skipped.
Files=14, Tests=221,  1 wallclock secs ( 0.83 cusr +  0.06 csys =  0.89 CPU)

+ Package perl-Parse-CPAN-Meta-0.03-1.fc10 =>
Provides: perl(Parse::CPAN::Meta) = 0.03
Requires: perl(:MODULE_COMPAT_5.10.0) perl(Carp) perl(strict)

APPROVED.
Comment 2 Steven Pritchard 2008-05-19 09:39:12 EDT
New Package CVS Request
=======================
Package Name: perl-Math-BigInt-GMP
Short Description: Math::BigInt::GMP Perl module
Owners: steve
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-05-19 12:21:42 EDT
cvs done.
Comment 4 Steven Pritchard 2008-05-19 19:48:05 EDT
Imported and built.
Comment 5 Jason Tibbitts 2008-12-02 18:28:28 EST
*** Bug 469833 has been marked as a duplicate of this bug. ***
Comment 6 Paul Howarth 2008-12-03 08:41:35 EST
Please build the F-9 version of this package; it's needed by perl-Crypt-DH and perl-Crypt-DSA. Only the devel branch (which was inherited by F-10) has been buit so far.

I would be happy to co-maintain this package if that would be helpful.
Comment 7 Fedora Update System 2008-12-04 06:25:35 EST
perl-Crypt-DSA-0.14-7.fc9,perl-Crypt-DH-0.06-9.fc9,perl-Math-BigInt-GMP-1.24-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Crypt-DSA-0.14-7.fc9,perl-Crypt-DH-0.06-9.fc9,perl-Math-BigInt-GMP-1.24-1.fc9
Comment 8 Fedora Update System 2008-12-06 23:23:05 EST
perl-Crypt-DSA-0.14-7.fc9, perl-Crypt-DH-0.06-9.fc9, perl-Math-BigInt-GMP-1.24-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-Crypt-DSA perl-Crypt-DH perl-Math-BigInt-GMP'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10825
Comment 9 Fedora Update System 2008-12-21 18:41:06 EST
perl-Crypt-DSA-0.14-7.fc9, perl-Crypt-DH-0.06-9.fc9, perl-Math-BigInt-GMP-1.24-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.